Name:           perl-Shell-Perl
Version:        0.0022
Release:        1%{?dist}
Summary:        Read-eval-print loop in Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Shell-Perl/
Source0:        http://www.cpan.org/authors/id/F/FE/FERREIRA/Shell-Perl-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Expect)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::Script)
Requires:       perl(Class::Accessor)
Requires:       perl(File::HomeDir)
Requires:       perl(File::Slurp)
Requires:       perl(IPC::Cmd)
Requires:       perl(Path::Class)
Requires:       perl(Test::Deep)
Requires:       perl(Test::Expect)
Requires:       perl(Test::More)
Requires:       perl(Test::Pod)
Requires:       perl(Test::Pod::Coverage)
Requires:       perl(Test::Script)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is the implementation of a command-line interpreter for Perl. I wrote
this because I was tired of using irb when needing a calculator with a real
language within. Ah, that and because it was damn easy to write it.

%prep
%setup -q -n Shell-Perl-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Wed Jul 27 2011 Dave Cross <dave@mag-sol.com> 0.0022-1
- Specfile autogenerated by cpanspec 1.78.
